#include <windows.h>
#include <windowsx.h>
#include "dialog.h"
#include "msgbox.h"
#include "external.h"
#include "resource.h"
#include "iprres.h"

extern HINSTANCE hInst;
extern HWND hwndBtn1, hwndBtn2, hwndEditText, hwndEditPass;
extern HFONT hFont;

char *szYes = "Yes";
char *szNo = "No";

BOOL CALLBACK OwnerDialogProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	switch (msg){
	case WM_INITDIALOG:
		CentreWnd(hwnd);
		SetWindowText(GetDlgItem(hwnd, IDOK), szYes);
		SetWindowText(GetDlgItem(hwnd, IDCANCEL), szNo);
		SetWindowText(hwnd, " Important Message");
		SetWindowText(GetDlgItem(hwnd, IDSTAT), (LPSTR)lParam);
		return TRUE;

    case WM_COMMAND:{
		switch (LOWORD(wParam))
		case IDOK:
		case IDCANCEL:{
			return EndDialog(hwnd, LOWORD(wParam));

		}
		}
	}
	return FALSE;
}

int CreateOwnerDialog(HWND hwnd, LPSTR szTit)
{
	int ret;

	// Make dialog template containing three controls
 	DLGDATA dtp={

		// The dialog itself (n = number of controls)
		// style  ex  n  x  y  cx   cy   m  c  title[8]        pt  font[14]
		{DLGSTYLE, 0, 4, 0, 0, 178, 96}, 0, 0, L"Owner..", 8, L"MS Sans Serif",

		// The Pushbutton
		{{BUTSTYLE, 0, 113, 75, 50, 14, IDOK}, 0xFFFF, 0x0080, 0, 0, 0},

		// The Pushbutton
		{{BUTSTYLE, 0, 13, 75, 50, 14, IDCANCEL}, 0xFFFF, 0x0080, 0, 0, 0},

		// Big      ex  x   y   cx  cy id
		{{STATSTYLE, 0, 7, 7, 164, 52, IDSTAT}, 0xFFFF, 0x0082, 0, 0, 0},

		// Small     ex  x   y   cx  cy id
		{{STATSTYLE1, 0, 7, 62, 164, 1, 2}, 0xFFFF, 0x0082, 0, 0, 0}};

	ret = DialogBoxIndirectParam(hInst,(DLGTEMPLATE*)&dtp, hwnd,
	  							OwnerDialogProc, (LONG)szTit);
	return ret;

}

//Example
//CreateOwnerDialog(hwnd, "There is a new powerfull feature that enables this application to run in the background in the system tray do you want to enable this powerfull feature and have this application run on the startup.");
//	if (ret == IDOK)
//		MessageBox(0, "[Try Again] was selected", "Message", MB_OK);
//	else if(ret == IDCANCEL)
//		MessageBox(0, "[Cancel] was selected", "Message", MB_OK);
