#include <windows.h>

#if defined (WIN32)
	#define IS_WIN32 TRUE
#else
	#define IS_WIN32 FALSE
#endif

#define IS_NT      IS_WIN32 && (BOOL)(GetVersion() < 0x80000000)
#define IS_WIN32S  IS_WIN32 && (BOOL)(!(IS_NT) && (LOBYTE(LOWORD(GetVersion()))<4))
#define IS_WIN95   (BOOL)(!(IS_NT) && !(IS_WIN32S)) && IS_WIN32

typedef LONG (CALLBACK* GETRES)(int);
#define WM_SYSTEMTRAY (WM_USER+1)
#define GFSR_SYSTEMRESOURCES	0
#define GFSR_GDIRESOURCES		1
#define GFSR_USERRESOURCES		2
#define HKEY_LOCAL_MASHINE   ((HKEY) 0x80000002)

#define CBWNDEXTRA		12
#define GWL_HWNDEDIT		0
#define GWL_EDITCHANGED		4
#define ID_EDIT			300
#define IDM_FIRSTCHILD		400

HWND MDICmdFileNew(char *title, char *class, char *l);
int AskCloseQuestion();

void InitMdi(void);
void AddToCloser(void);
void CreateMDIChildWindow(char *Title, char *Class, char *PassOn);
void CloseAllMDIwindows(void);
void UpdateStatusBar(LPSTR lpszStatusString, WORD partNumber, WORD displayFlags);
void InitializeStatusBar(HWND hwndParent,int nrOfParts);

HWND CreateEditcontrol(HWND hwnd);
int ResizeEditControl(HWND hwnd, LPARAM lParam, HWND hEdit);
int HandleEditCommands(HWND hwnd, LPARAM lParam, WPARAM wParam);
void FocusEditcontol(HWND hwnd);

LRESULT CALLBACK CloseCtrlWndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK OkCtrlWndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK FontCtrlWndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK ComboCtrlWndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);

HWND CreateButton(int x,int y,int w,int h,char *title,HWND hParent,int ID);
HWND CreateText(int x,int y,int w,int h,char *title,HWND hParent,int ID);
HWND CreateWinIcon(int x,int y,int w,int h,HWND hParent,int ID);
HWND CreateEditWnd(int x,int y,int w,int h,HWND hParent,int ID);
HWND CreateInputWnd(int x,int y,int w,int h,HWND hParent,int ID);
int SetIcon(HWND hParent,int ID,int RESID);
int SetFont(HWND hParent,int ID,int fontID);
int SetTxt(HWND hParent,int ID,char *text);
BOOL MagnetWindow(LPARAM *lParam);
void EnableMainMenu(int ID, int en);
void PrintSetup(void);

LRESULT CALLBACK PageSetupWndProc(HWND hwnd,UINT msg,WPARAM wParam,LPARAM lParam);

void CreateAllMenus(void);
int CentreWnd(HWND hDlg);
int CreateAboutBox(HWND hParent);
int SetWndIcon(HWND hDlg);
int InitializeAboutScreen(HWND hDlg);
int CheckMemory(HWND hDlg);
void SearchIP(void);

HWND DialogFunc_OnGetDNS(HWND hDlg, char *ipdata);
HWND DialogFunc_OnGetIP(HWND hDlg, char *ipdata);
